[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# ConvertToUtf32

alias for TCharacter.ConvertToUtf32

## Declaration

Source position: character.pas line 149

`function ConvertToUtf32(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):UCS4Char; overload; function ConvertToUtf32(`
`const AString: UnicodeString;`
`AIndex: Integer;`
`out ACharLength: Integer`
`):UCS4Char; overload; function ConvertToUtf32(`
`const AHighSurrogate: UnicodeChar;`
`const ALowSurrogate: UnicodeChar`
`):UCS4Char; overload;`

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Function result

UTF32 Unicode character for AString

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.
`ACharLength` |  | Number of characters to take into account starting at AIndex

## Arguments

`AHighSurrogate` |  | High surrogate character
`ALowSurrogate` |  | Low surrogate character

## Description

ConvertToUtf32 is a shortcut for TCharacter.ConvertToUtf32.

## See also

TCharacter.ConvertToUtf32 |  | Convert a UTF16 character to a UTF32 character